org.kie.internal.utils

## Class ServiceDiscovery

- java.lang.Object
- - org.kie.internal.utils.ServiceDiscovery

-     public class ServiceDiscovery
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceDiscovery()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `discoverFactories(String path, ServiceRegistry serviceRegistry)`
    `static ClassLoader` | `getClassLoader()`
    `static void` | `processKieConf(InputStream is, ServiceRegistry serviceRegistry)`
    `static void` | `processKieConf(Map map, ServiceRegistry serviceRegistry)`
    `static void` | `processKieConf(String conf, ServiceRegistry serviceRegistry)`
    `static String` | `readFileAsString(Reader reader)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceDiscovery

          public ServiceDiscovery()

  - ### Method Detail

    - #### discoverFactories

          public static void discoverFactories(String path,
                               ServiceRegistry serviceRegistry)

    - #### processKieConf

          public static void processKieConf(InputStream is,
                            ServiceRegistry serviceRegistry)
                                     throws IOException

      Throws:
        `IOException`

    - #### processKieConf

          public static void processKieConf(String conf,
                            ServiceRegistry serviceRegistry)

    - #### processKieConf

          public static void processKieConf(Map map,
                            ServiceRegistry serviceRegistry)

    - #### readFileAsString

          public static String readFileAsString(Reader reader)

    - #### getClassLoader

          public static ClassLoader getClassLoader()

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.